/** 
 *******************************************************************************
 * @file    Flash_Erase.h
 * @brief   ISP_BOOT Flash_Erase(PG1-PG7,Block1-Block15) Sample Application.
 * @version V1.1.0.0
 * $Date:: 2018-11-29
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA MICROELECTRONICS CORPORATION 2018 All rights reserved
 *******************************************************************************
 */
#ifdef __cplusplus
 extern "C" {
#endif


/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "stdio.h"

#include "system_TMPM3Hy.h"
#include "TMPM3HQ.h"

#include "txz_uart.h"
#include "txz_t32a.h"

#include "Flash_Write.h"


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
#define KEYCODE				(0xA74A9D23UL)

#define CODEF_BGN			(0x5E000000UL)
#define CODEF_END			(0x5E080000UL)
#define CODEF_IPRT_OFFSET	(0x00002000UL)
#define ISEC_OFFSET			(0x00001000UL)
#define CODEF_PG2_OFFSET	(0x00002000UL)
#define CODEF_BLK1_OFFSET	(0x00008000UL)

#define FLASH_SEQ_1ST		(0x00000550UL)
#define FLASH_SEQ_2ND		(0x00000AA0UL)

#define FLASH_CMD_AA		0xAA
#define FLASH_CMD_55		0x55
#define FLASH_CMD_80		0x80

#define FLASH_CMD_60		0x60
#define FLASH_CMD_40		0x40
#define FLASH_CMD_30		0x30

#define ISEC_MASK			(0x00000000UL)
#define ISEC_RELEASE		(0x00000001UL)


/**
 *  @} 
 */ /* The End Of Flash_Erase.h file. */

#ifdef __cplusplus
}
#endif /* __cplusplus */
