/** 
 *******************************************************************************
 * @file    Flash_Write.h
 * @brief   ISP_BOOT Flash_Write(PG2-PG7,Block1-Block15) Sample Application.
 * @version V1.1.0.0
 * $Date:: 2018-11-29
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA MICROELECTRONICS CORPORATION 2018 All rights reserved
 *******************************************************************************
 */
#ifdef __cplusplus
 extern "C" {
#endif

#include "stdio.h"

#include "system_TMPM3Hy.h"
#include "TMPM3HQ.h"

#include "txz_uart.h"
#include "txz_t32a.h"


/*------------------------------------------------------------------------------*/
/*  Function Definitions                                                        */
/*------------------------------------------------------------------------------*/
extern void Get_RDY_Status(void);
extern void Get_BSY_Status(void);
extern void SendData(uint8_t *pData, uint32_t nLen);
extern uint32_t RecvData(uint8_t *pData, uint32_t nLen);
extern void Select_AREA0(void);
extern void Deselect_AREA0(void);


/*------------------------------------------------------------------------------*/
/*  Variable Definitions                                                        */
/*------------------------------------------------------------------------------*/
#if 0
/* Described in Flash_Write.c. */
extern volatile uint32_t *prt_FLASH_SEQ_1st;
extern volatile uint32_t *prt_FLASH_SEQ_2nd;
#endif

/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
#define	DATA_LEN	(1 + 2 + 128 + 2)	/* Number of bytes per block in application transfer. */

/* XMODEM/CRC control code. */
#define	SOH			0x01		/* Header of received data. : HOSTTARGET */
#define	ACK			0x06		/* Acknowledgment.(Transmission request / Reception complete) : TARGETHOST */
#define	NAK			0x15		/* Request for retransmission. : TARGETHOST */
#define	EOT			0x04		/* Transfer end. : HOSTTARGET */

#define	WRITE_BG_ADDR	(0x00002000UL)	/* Write to FLASH from PG2 (address 0x00002000). */
#define	WRITE_SIZE	128					/* Write size.(Adopted 128-bytes of XMODEM/CRC standard.) */

#define	FLASH_CMD_A0	0xA0


/**
 *  @} 
 */

#ifdef __cplusplus
}
#endif /* __cplusplus */
/* The End Of Flash_Erase.h file. */
