/** 
 *******************************************************************************
 * @file    main.h
 * @brief   ISP_BOOT Sample Application.
 * @version V1.1.0.0
 * $Date:: 2018-11-29
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA MICROELECTRONICS CORPORATION 2018 All rights reserved
 *******************************************************************************
 */
#ifdef __cplusplus
 extern "C" {
#endif


/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "stdio.h"

#include "system_TMPM3Hy.h"
#include "TMPM3HQ.h"

#include "txz_uart.h"
#include "txz_t32a.h"

#include "com_control.h"
#include "Flash_Erase.h"
#include "Flash_Write.h"


/*------------------------------------------------------------------------------*/
/*  Function Definitions                                                        */
/*------------------------------------------------------------------------------*/
extern void StartCom(void);
extern void SendData(uint8_t* pData, uint32_t nLen);
extern uint32_t RecvData(uint8_t* pData, uint32_t nLen);

extern uint8_t Flash_Erase(void);
extern uint8_t Flash_Write(void);

extern void BOOT_boot(void);

extern void SendACK(void);
extern void SendNAK(void);

/*------------------------------------------------------------------------------*/
/*  Variable Definitions                                                        */
/*------------------------------------------------------------------------------*/
extern uint8_t Recvbuf[1 + 1 + 1 + 128 + 2];
extern uint8_t Sendbuf;


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
#define MAIN_NULL       ((void *)0)     /*!< NULL. */

#define CGOSCCR_IHOSC1EN_MASK           ((uint32_t)0x00000001)    /*!< IHOSC1EN  :Mask                  */
#define CGOSCCR_IHOSC1EN_RW_ENABLE      ((uint32_t)0x00000001)    /*!< IHOSC1EN  :[R/W] :Enable         */


/**
 *  @} 
 */

#ifdef __cplusplus
}
#endif /* __cplusplus */

/* The End Of main.h file. */
